#if !defined(AFX_PROGRESSDLG_H__3DFEA1A8_A703_47AF_A60B_4DA9D36BCD43__INCLUDED_)
#define AFX_PROGRESSDLG_H__3DFEA1A8_A703_47AF_A60B_4DA9D36BCD43__INCLUDED_

#include "ProgressData.h"	// Added by ClassView
#include "TubeControl.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProgressDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ProgressDlg dialog

class ProgressDlg; // forward declaration

class ProgressDlg : public CDialog
{
// Construction
public:
	int stringToInt(const CString &str);
	int stripString(CString strip_string);
	void InitTotals();
	void InitSelection();
	//void OnPaint();
	ProgressDlg(ProgressData *data, CWnd* pParent = NULL);   // standard constructor
  void SelectImage(const int &tube, const int &session, const int &window);

  class ImageSelectCallback : public TubeControl::ImageSelectCallback
  {
  public:
    void SelectImage(const int &tube, const int &session, const int &window);

    ProgressDlg *m_dlg;
  };

	ProgressData *m_progress_data;
  ImageSelectCallback m_select_image;
  int m_selected_tube;
  int m_selected_session;
  int m_selected_window;

// Dialog Data
	//{{AFX_DATA(ProgressDlg)
	enum { IDD = IDD_PROGRESS_DIALOG };
	TubeControl	m_tube_view;
	CStatic	m_total_annotated;
	CStatic	m_total_images;
	CComboBox	m_session_selection;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ProgressDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ProgressDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeProgress();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRESSDLG_H__3DFEA1A8_A703_47AF_A60B_4DA9D36BCD43__INCLUDED_)
